@ Jivko Evgeniev Rated 5 out of 5 stars

i say you go ahead an update this one for ff 3.5 yourself. and just note in the description that you will cease development at any moment if the original developer wants you to. i went to his homepage and it says that he's working on a version that will be compatible with ff 3. well, ff is at 3.5 right now, so i assume that post could be as old as a year, so he may have halted blue ice's development because he lost interest in it, or in firefox altogether. in any case, i don't think he would mind if you were to update his theme.